Bug 76411 - [Chromium] Add Pointer Lock test hooks and mock implementation to DumpRenderTree
Summary: [Chromium] Add Pointer Lock test hooks and mock implementation to DumpRenderTree
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Vincent Scheib
URL:
Keywords:
Depends on: 76410
Blocks: 75762
  Show dependency treegraph
 
Reported: 2012-01-16 17:03 PST by Vincent Scheib
Modified: 2012-01-24 14:14 PST (History)
3 users (show)

See Also:


Attachments
Patch (9.06 KB, patch)
2012-01-16 17:08 PST, Vincent Scheib
no flags Details | Formatted Diff | Diff
Implemented all tkent items (9.33 KB, patch)
2012-01-17 13:08 PST, Vincent Scheib
no flags Details | Formatted Diff | Diff
Patch (9.26 KB, patch)
2012-01-24 09:47 PST, Vincent Scheib
no flags Details | Formatted Diff | Diff
Rerun EWS (9.26 KB, patch)
2012-01-24 11:01 PST, Vincent Scheib
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent Scheib 2012-01-16 17:03:35 PST
[Chromium] Add Pointer Lock test hooks and mock implementation to DumpRenderTree
Comment 1 Vincent Scheib 2012-01-16 17:08:11 PST
Created attachment 122695 [details]
Patch
Comment 2 Vincent Scheib 2012-01-16 17:09:18 PST
Note: This change will not compile until the change that adds the WebKit/chromium API lands:
https://bugs.webkit.org/show_bug.cgi?id=76410
Comment 3 Kent Tamura 2012-01-16 21:44:03 PST
Comment on attachment 122695 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=122695&action=review

We had better enclose the code with #if ENABLE(POINTER_LOCK).

> Tools/DumpRenderTree/chromium/LayoutTestController.cpp:2178
> +void LayoutTestController::didLosePointerLock(const CppArgumentList& arguments, CppVariant* result)

The arguments 'arguments' and 'result' are not used. We had better omit them.
void LayoutTestController::didLosePointerLock(const CppArgumentList&, CppVariant*)

> Tools/DumpRenderTree/chromium/LayoutTestController.cpp:2184
> +void LayoutTestController::setPointerLockWillFailAsynchronously(const CppArgumentList& arguments, CppVariant* result)

ditto.

> Tools/DumpRenderTree/chromium/LayoutTestController.cpp:2190
> +void LayoutTestController::setPointerLockWillFailSynchronously(const CppArgumentList& arguments, CppVariant* result)

ditto.

> Tools/DumpRenderTree/chromium/WebViewHost.h:395
> +    enum {
> +      POINTER_LOCK_WILL_SUCCEED,
> +      POINTER_LOCK_WILL_FAIL_ASYNC,
> +      POINTER_LOCK_WILL_FAIL_SYNC

Enum names should be
  PointerLockWillSucceed,
  PointerLockWillFailAsync,
  PointerLockWillFailSync

See "12. Enum members should user InterCaps with an initial capital letter." in http://www.webkit.org/coding/coding-style.html
Comment 4 Vincent Scheib 2012-01-17 13:08:51 PST
Created attachment 122803 [details]
Implemented all tkent items
Comment 5 WebKit Review Bot 2012-01-17 13:23:37 PST
Comment on attachment 122803 [details]
Implemented all tkent items

Attachment 122803 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11268304
Comment 6 Kent Tamura 2012-01-17 17:21:31 PST
Comment on attachment 122803 [details]
Implemented all tkent items

View in context: https://bugs.webkit.org/attachment.cgi?id=122803&action=review

> Tools/DumpRenderTree/chromium/WebViewHost.h:402
> +    enum {
> +      PointerLockWillSucceed,
> +      PointerLockWillFailAsync,
> +      PointerLockWillFailSync

Need 4-spaces Indentation
Comment 7 Vincent Scheib 2012-01-24 09:47:31 PST
Created attachment 123755 [details]
Patch
Comment 8 Vincent Scheib 2012-01-24 10:27:07 PST
The API patch this depends on has landed. Looking for a final review of this, thanks.
Comment 9 WebKit Review Bot 2012-01-24 10:56:23 PST
Comment on attachment 123755 [details]
Patch

Attachment 123755 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11264006

New failing tests:
media/audio-garbage-collect.html
Comment 10 Vincent Scheib 2012-01-24 11:01:18 PST
Created attachment 123773 [details]
Rerun EWS
Comment 11 Vincent Scheib 2012-01-24 14:13:20 PST
Comment on attachment 123755 [details]
Patch

Clearing flags on attachment: 123755

Committed r105789: <http://trac.webkit.org/changeset/105789>
Comment 12 Vincent Scheib 2012-01-24 14:14:27 PST
All reviewed patches have been landed.  Closing bug.